Bug 429080 - Review Request: perl-Convert-NLS_DATE_FORMAT - Convert Oracle NLS_DATE_FORMAT <-> strftime Format Strings
Review Request: perl-Convert-NLS_DATE_FORMAT - Convert Oracle NLS_DATE_FORMAT...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: 429081
  Show dependency treegraph
Reported: 2008-01-17 01:01 EST by Chris Weyl
Modified: 2014-09-29 14:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-17 14:28:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-01-17 01:01:45 EST
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Convert-NLS_DATE_FORMAT-0.02-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Convert-NLS_DATE_FORMAT.spec

Convert Oracle's NLS_DATE_FORMAT string into a strptime format string, or
the reverse.
Comment 1 Parag AN(पराग) 2008-01-17 01:21:50 EST
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e2c42e8d082addb3762de99861be341d  Convert-NLS_DATE_FORMAT-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=25,  0 wallclock secs ( 0.04 cusr +  0.01 csys =  0.05 CPU)
+Package perl-Convert-NLS_DATE_FORMAT-0.02-1.fc9 =>
  Provides: perl(Convert::NLS_DATE_FORMAT) = 0.02
  Requires: perl >= 0:5.006 perl(:MODULE_COMPAT_5.8.8) perl(Exporter)
perl(strict) perl(warnings)

Comment 2 Chris Weyl 2008-01-17 01:24:08 EST
New Package CVS Request
Package Name: perl-Convert-NLS_DATE_FORMAT
Short Description: Convert Oracle NLS_DATE_FORMAT <-> strftime Format Strings
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-01-17 12:23:40 EST
cvs done.
Comment 4 Chris Weyl 2008-01-17 14:28:19 EST
Imported and building.  Thanks for the review! :)
Comment 5 Petr Šabata 2012-08-10 09:31:36 EDT
Package Change Request
Package Name: perl-Convert-NLS_DATE_FORMAT
New Branches: el6
Owners: psabata
InitialCC: perl-sig
Comment 6 Jon Ciesla 2012-08-10 09:37:43 EDT
Git done (by process-git-requests).
Comment 7 Petr Šabata 2014-09-29 13:14:22 EDT
Package Change Request
Package Name: perl-Convert-NLS_DATE_FORMAT
New Branches: epel7
Owners: psabata dfateyev
InitialCC: perl-sig
Comment 8 Jon Ciesla 2014-09-29 14:37:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.